package com.ic.modules.auth.repository;

import java.util.List;
import java.util.Optional;

import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.data.jpa.repository.JpaRepository;

import com.ic.modules.auth.model.User;

public interface UserRepository extends JpaRepository<User, String>{
	
//	List<User> findAll();
	/*List<User> findByName(String name);*/
	
//	Optional<User> findByUserId(String id);
//	List<User> findByUserIdIn(List<Long> ids);
	
	@Query(value = "SELECT * FROM NAAF_USER_DETAIL u where TRIM(UPPER(u.USER_ID))=UPPER(:id)", nativeQuery = true)
    User findByUserId(@Param("id") String id);
	
}
